package org.apache.bcel.classfile;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.DataInput;

public class RuntimeVisibleAnnotations extends Annotations
{
    public RuntimeVisibleAnnotations(final int nameIndex, final int length, final DataInput input, final ConstantPool constantPool) throws IOException {
        super((byte)12, nameIndex, length, input, constantPool, true);
    }
    
    @Override
    public Attribute copy(final ConstantPool constantPool) {
        return (Attribute)this.clone();
    }
    
    @Override
    public final void dump(final DataOutputStream dos) throws IOException {
        super.dump(dos);
        this.writeAnnotations(dos);
    }
}
